/// <reference types="react" />
import { IDataUserBank } from 'src/interface/IDataUserBank';
interface dataBank {
    dataBank: IDataUserBank | undefined;
    setDataBank: React.Dispatch<React.SetStateAction<IDataUserBank | undefined>>;
}
interface UserCostumer {
    dataUserCreditor: IDataUserBank | undefined | null;
    cargarUserCredit: (dataCreditor: IDataUserBank | undefined | null) => void;
}
interface ContextProps extends dataBank, UserCostumer {
    token: string | null;
    cargarToken: (token: string | null) => void;
}
export declare const AuthContext: import("react").Context<ContextProps>;
export {};
//# sourceMappingURL=AuthContext.d.ts.map