export interface TransactionDebit {
    data: Data;
}
export interface Data {
    debtor: Debtor;
    creditor: Creditor;
    transaction: Transaction;
}
export interface Creditor {
    customer: CreditorCustomer;
}
export interface CreditorCustomer {
    fullName: string;
    account: Account;
}
export interface Account {
    accountId: string;
}
export interface Debtor {
    customer: DebtorCustomer;
    account: Account;
}
export interface DebtorCustomer {
    customerId: string;
    documentNumber: string;
    documentType: string;
    fullName: string;
}
export interface Transaction {
    amount: string;
    currency: Currency;
    description: string;
}
export interface Currency {
    code: string;
}
//# sourceMappingURL=post.d.ts.map